Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: nagios

Interfaces Templates

### Description:

Network monitoring server.

### Interfaces:

nagios_admin( domain , role )

##### Summary

All of the rules required to administrate an nagios environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

nagios_domtrans_nrpe( domain )

##### Summary

Execute nrpe with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

nagios_dontaudit_rw_log( domain )

##### Summary

Do not audit attempts to read or write nagios log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

nagios_dontaudit_rw_pipes( domain )

##### Summary

Do not audit attempts to read or write nagios unnamed pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

nagios_read_config( domain )

##### Summary

Read nagios configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nagios_read_log( domain )

##### Summary

Read nagios log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nagios_read_tmp_files( domain )

##### Summary

Read nagios temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

nagios_search_spool( domain )

##### Summary

Search nagios spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

nagios_plugin_template( domain_prefix )

##### Summary

The template to define a nagios plugin domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return